<?php
defined('_JEXEC') or  die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );
/**
 * MJ Shopping Cart Module for Virtuemart
 * @package     Joomla.Site
 * @subpackage  mod_mj-shoppingcart
 *
 * @copyright   Copyright (C) 2005 - 2016 mojoomla.com - All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

error_reporting(0);
@ini_set('display_errors', 0);

defined('DS') or define('DS', DIRECTORY_SEPARATOR);
if (!class_exists( 'VmConfig' )) require(JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_virtuemart'.DS.'helpers'.DS.'config.php');
VmConfig::loadConfig();

VmConfig::loadJLang('mod_mj-shoppingcart', true);
VmConfig::loadJLang('com_virtuemart', true);
vmJsApi::jQuery();

$doc = JFactory::getDocument();
$doc->addStyleSheet(JURI::root() . '/modules/mod_mj-shoppingcart/assets/style.css');
vmJsApi::addJScript("/modules/mod_mj-shoppingcart/assets/js/update_cart.js",false,false);


//This is strange we have the whole thing again in controllers/cart.php public function viewJS()
if(!class_exists('VirtueMartCart')) require(VMPATH_SITE.DS.'helpers'.DS.'cart.php');

$cart = VirtueMartCart::getCart(false);

//print_r($cart);
 
require_once __DIR__ . '/helper.php';

$viewName = vRequest::getString('view',0);
if($viewName=='cart'){
    $checkAutomaticPS = true;
} else {
    $checkAutomaticPS = false;
}
$data = $cart->prepareAjaxData();


foreach ($data as $k => $products) {
	 
    foreach ($products as $key => $product) {
		$id=$cart->products[$key]->virtuemart_media_id[0];
		$cart_img_path[$key]=modshoppingcartHelper::imagecall($id);
	}
}	

if (!class_exists('CurrencyDisplay')) require(VMPATH_ADMIN . DS. 'helpers' . DS . 'currencydisplay.php');
$currencyDisplay = CurrencyDisplay::getInstance( );

vmJsApi::cssSite();

$moduleclass_sfx = $params->get('moduleclass_sfx', '');
$show_price = (bool)$params->get( 'show_price', 1 ); // Display the Product Price?
$show_product_list = (bool)$params->get( 'show_product_list', 1 ); // Display the Product Price?

require(JModuleHelper::getLayoutPath('mod_mj-shoppingcart'));
echo vmJsApi::writeJS();
?>

<script>


</script>
